### Hierarchy

- IEventHandler
  - ICLUEWrapper

## Index

### Methods

- jumpToState
- jumpToStory
- nextSlide
- off
- on
- previousSlide

## Methods

### jumpToState

- jumpToState(state: number): Promise

- - Defined in internal.ts:11

  #### Parameters

  - ##### state: number

  #### Returns Promise

### jumpToStory

- jumpToStory(state: number): Promise

- - Defined in internal.ts:12

  #### Parameters

  - ##### state: number

  #### Returns Promise

### nextSlide

- nextSlide(): Promise

- - Defined in internal.ts:13

  #### Returns Promise

### off

- off(events: string | object, handler?: IEventListener): void

- Inherited from IEventHandler.off

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:12

  #### Parameters

  - ##### events: string | object

  - ##### Optional handler: IEventListener

  #### Returns void

### on

- on(events: string | object, handler?: IEventListener): void

- Inherited from IEventHandler.on

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:11

  #### Parameters

  - ##### events: string | object

  - ##### Optional handler: IEventListener

  #### Returns void

### previousSlide

- previousSlide(): Promise

- - Defined in internal.ts:14

  #### Returns Promise

Generated using TypeDoc